Skip to main content
GET
/
brands
/
{brand_id}
/
campaigns
/
{campaign_id}
/
stats
Retrieve campaign statistics
curl --request GET \
  --url https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id}/stats \
  --header 'Authorization: Bearer <token>'
{
  "code": 123,
  "errors": {},
  "message": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
integer<int32>
required

The Dash Social assigned ID of the brand.

campaign_id
integer
required

The ID of the campaign object.

Required range: x >= 0

Query Parameters

start_date
string | null

A formatted datetime string in UTC.

Pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(Z|((\+|-)\d{2}:\d{2})))?$
Example:

"2019-12-01"

end_date
string | null

A formatted datetime string in UTC.

Pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(Z|((\+|-)\d{2}:\d{2})))?$
Example:

"2019-12-12"

scale
enum<string>
default:DAILY

Scale of graph

Available options:
DAILY,
MONTHLY,
ALL_TIME

Response

OK